NewWacht Bench is live — AI-assisted development for Wacht

Get Workspace Members

GET
/workspaces/{workspace_id}/members

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

workspace_id*string

Query Parameters

offset?integer
limit?integer
search?string
sort_key?string
sort_order?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/workspaces/string/members"
{
  "data": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "workspace_id": "string",
      "user_id": "string",
      "roles": [
        {
          "id": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "name": "string",
          "permissions": [
            "string"
          ],
          "is_deployment_level": true
        }
      ],
      "public_metadata": null,
      "first_name": "string",
      "last_name": "string",
      "username": "string",
      "primary_email_address": "string",
      "primary_phone_number": "string",
      "user_created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "offset": 0,
  "limit": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}